# Generated by Django 3.2.5 on 2021-08-17 11:03

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("elections2021", "0037_bannerorder_elections2021bannerlistpage"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="elections2021bannerlistpage",
            options={"verbose_name": "nabídka plachet"},
        ),
        migrations.AlterField(
            model_name="elections2021bannerlistpage",
            name="banners",
            field=wagtail.fields.StreamField(
                [
                    (
                        "banners",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "code",
                                    wagtail.blocks.CharBlock(label="kód banneru"),
                                ),
                                (
                                    "candidate1",
                                    wagtail.blocks.CharBlock(
                                        label="první kandidát", required=False
                                    ),
                                ),
                                (
                                    "candidate2",
                                    wagtail.blocks.CharBlock(
                                        label="druhý kandidát", required=False
                                    ),
                                ),
                                (
                                    "tagline",
                                    wagtail.blocks.CharBlock(
                                        label="slogan", required=False
                                    ),
                                ),
                                (
                                    "preview",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="náhled"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="objednávání plachet",
            ),
        ),
        migrations.CreateModel(
            name="Elections2021MapPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "jihocesky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Jihočeský",
                    ),
                ),
                (
                    "jihomoravsky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Jihomoravsý",
                    ),
                ),
                (
                    "karlovarsky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Karlovarský",
                    ),
                ),
                (
                    "kralovehradecky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Královéhradecký",
                    ),
                ),
                (
                    "liberecky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Liberecký",
                    ),
                ),
                (
                    "moravskoslezsky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Moravskoslezský",
                    ),
                ),
                (
                    "olomoucky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Olomoucký",
                    ),
                ),
                (
                    "pardubicky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Pardubický",
                    ),
                ),
                (
                    "plzensky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Plzeňský",
                    ),
                ),
                (
                    "praha",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Praha",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
                (
                    "stredocesky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Středočeský",
                    ),
                ),
                (
                    "ustecky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Ústecký",
                    ),
                ),
                (
                    "vysocina",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Vysočina",
                    ),
                ),
                (
                    "zlinsky",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Zlínský",
                    ),
                ),
            ],
            options={
                "verbose_name": "mapa krajů",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
